package com.njcn.msgpush.module.push.client.factory.impl;

import com.njcn.msgpush.module.push.client.factory.MessageProviderFactory;
import com.njcn.msgpush.module.push.client.sender.AppPushSender;
import com.njcn.msgpush.module.push.client.sender.EmailSender;
import com.njcn.msgpush.module.push.client.sender.SmsSender;
import com.njcn.msgpush.module.push.dal.dataobject.channel.ChannelProviderConfigDO;
import lombok.extern.slf4j.Slf4j;

/**
 * @author caozehui
 * @data 2026-02-11
 */
@Slf4j
public class UniPushProviderFactory implements MessageProviderFactory {
    @Override
    public SmsSender createSmsSender(ChannelProviderConfigDO config) {
        log.error("uniPush暂不支持短信推送");
        return null;
    }

    @Override
    public EmailSender createEmailSender(ChannelProviderConfigDO config) throws Exception {
        log.error("uniPush暂不支持email推送");
        return null;
    }

    @Override
    public AppPushSender createAppPushSender(ChannelProviderConfigDO config) {
        log.error("阿里云暂不支持app推送");
        return null;
    }
}
